"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsExtra = require("fs-extra");
const path = require("path");
const isDirectory = (src) => {
    return fsExtra.existsSync(src) && fsExtra.statSync(src).isDirectory();
};
const isNotBlacklistPattern = (src, blacklist) => {
    return !blacklist.extensions.includes(path.extname(src));
};
exports.copyAssetFiles = async (option) => {
    await fsExtra.copy(option.source, option.destination, {
        filter: (targetPath) => {
            return isDirectory(targetPath) || isNotBlacklistPattern(targetPath, option.blacklist);
        },
        recursive: true,
    });
};
