"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
exports.createTemplateComponent = (props) => {
    const makeLayout = props.applyLayout && props.applyLayout(props.pageProps);
    return class extends React.Component {
        render() {
            if (makeLayout) {
                return makeLayout(this.props.children);
            }
            return React.createElement("body", null, this.props.children);
        }
    };
};
exports.createTemplate = (props) => (bodyContent) => {
    const Template = exports.createTemplateComponent(props);
    return React.createElement(Template, { children: bodyContent });
};
