"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getPage_1 = require("./getPage");
const logger_1 = require("./logger");
const renderer_1 = require("./renderer");
exports.generateStatic = async (source, options) => {
    return renderer_1.render(source, options);
};
exports.generateStaticPages = async (dirname, options) => {
    const initialSource = await getPage_1.getData(dirname, options);
    try {
        const result = await exports.generateStatic(initialSource, options);
        logger_1.notifyLog("files saved to", dirname);
        return result;
    }
    catch (err) {
        logger_1.notifyLog("error", err);
        process.exit(1);
    }
    return;
};
