"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const loadJsonFile = (filePath) => JSON.parse(fs.readFileSync(filePath, { encoding: "utf8" }));
exports.getDefaultConfig = (dirname, filename = "rocu.json") => {
    const filePath = path.join(dirname, filename);
    if (fs.existsSync(filePath) && fs.statSync(filePath).isFile()) {
        return loadJsonFile(filePath);
    }
    return {
        global: {
            lang: "en",
        },
    };
};
