"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const vm = require("vm");
exports.loadExternalFunction = (filename) => {
    const sandbox = vm.createContext({
        exports,
        require,
    });
    const data = fs.readFileSync(filename, { encoding: "utf-8" });
    if (typeof data !== "string") {
        return;
    }
    try {
        const script = new vm.Script(data, { displayErrors: true });
        script.runInNewContext(sandbox, { displayErrors: true });
    }
    catch (e) {
        console.error(`"${filename}" include below error.`);
        console.error(e);
    }
    return sandbox.exports;
};
