"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const WebSocket = require("ws");
exports.makeWebSocketServer = (socketPort, setSocket) => {
    const socketServer = new WebSocket.Server({ port: socketPort });
    socketServer.on("connection", (res) => {
        setSocket(res);
    });
    socketServer.on("error", (err) => {
        console.error("connection error:", JSON.stringify(err));
    });
    socketServer.on("close", (_res) => {
        console.info("connection closed");
    });
    return socketServer;
};
