"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const objectRestSpread = require("@babel/plugin-proposal-object-rest-spread");
const transformJSX = require("@babel/plugin-transform-react-jsx");
const babelStandAlone = require("@babel/standalone");
const mdx = require("@mdx-js/mdx");
const tag_1 = require("@mdx-js/tag");
const React = require("react");
const convertWithBabel = (raw) => babelStandAlone.transform(raw, {
    plugins: [transformJSX, objectRestSpread],
}).code;
exports.applyMarkdownTextToMdxTag = (markdownText) => {
    return mdx
        .sync(markdownText, {
        skipExport: true,
    })
        .trim();
};
exports.transformRawStringToHtml = (config) => (content) => {
    const raw = exports.applyMarkdownTextToMdxTag(content);
    const code = convertWithBabel(raw);
    const fullScope = {
        MDXTag: tag_1.MDXTag,
        components: config.customComponents,
        props: config.props,
    };
    const keys = Object.keys(fullScope);
    const values = keys.map(key => fullScope[key]);
    const mainLogic = `${code} return React.createElement(MDXContent, { components, ...props });`;
    const fn = new Function("React", ...keys, mainLogic);
    const resultComponent = fn(React, ...values);
    return resultComponent;
};
