"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const isIncludes = (params, searchElement) => {
    const hitParams = params.filter(param => param.isLocal === searchElement.isLocal && param.href === searchElement.href);
    hitParams.forEach(element => {
        console.error(`[Duplicated Error]: Scope: ${element.isLocal ? "local" : "global"}, src: ${element.href}`);
    });
    return hitParams.length > 0;
};
const getMakeTag = (dryParameter = []) => (attributes, isLocal) => {
    if (typeof attributes === "string") {
        if (isIncludes(dryParameter, { href: attributes, isLocal })) {
            return;
        }
        else {
            dryParameter.push({
                href: attributes,
                isLocal,
            });
        }
        return React.createElement("link", { href: attributes, key: attributes, rel: "stylesheet" });
    }
    if (!attributes.href) {
        return;
    }
    if (isIncludes(dryParameter, { href: attributes.href, isLocal })) {
        return;
    }
    else {
        dryParameter.push({
            href: attributes.href,
            isLocal,
        });
    }
    return React.createElement("link", Object.assign({}, { ...attributes }, { key: attributes.href }));
};
exports.generateLinkElements = ({ localLinks, globalLinks }) => {
    const elements = [];
    const makeTag = getMakeTag();
    if (globalLinks) {
        globalLinks.forEach(attribute => {
            const tagElement = makeTag(attribute, false);
            if (tagElement) {
                elements.push(tagElement);
            }
        });
    }
    if (localLinks) {
        localLinks.forEach(attribute => {
            const tagElement = makeTag(attribute, true);
            if (tagElement) {
                elements.push(tagElement);
            }
        });
    }
    return elements;
};
