"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
exports.rewriteUrl = (uri, page, option) => {
    let calcUri = uri;
    if (uri.match(/^https?\:\/\/|^\/\//) !== null) {
        return uri;
    }
    if (uri.endsWith("index")) {
        calcUri = calcUri.slice(0, uri.length - "index".length);
    }
    if (uri.startsWith("/")) {
        return path.join(option.serverBasePath, calcUri);
    }
    if (uri.startsWith("../")) {
        const s = path.join(path.dirname(page.uri), calcUri);
        return s === "/" ? s : s.replace(/\/$/, "");
    }
    const t = path.join("/", path.dirname(page.uri), calcUri).replace(/\/$/, "");
    if (option.serverBasePath !== "" && !t.startsWith(option.serverBasePath)) {
        return path.join(option.serverBasePath, t);
    }
    return t;
};
